package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractrelationDeleteRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【关联数据id】关联数据id 【传参】 该参数在<docs>/contractrelation/query</docs>中返回，可查询关联文件后指定需删除的文件。
	RelationId *int64 `json:"relationId"`
}

func (obj ContractrelationDeleteRequest) GetUrl() string {
	return "/contractrelation/delete"
}

func (obj ContractrelationDeleteRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
